<?php
/**
 * BBase Code functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package BBase_Code
 */

foreach (glob(get_stylesheet_directory()."/inc/*.php") as $filepath){
	if ( ! $filepath ) {
		trigger_error( sprintf( 'Error locating %s for inclusion', $file ), E_USER_ERROR );
	}
	require_once $filepath;
}

// add_filter('use_block_editor_for_post', '__return_false');
add_filter('use_block_editor_for_post_type', function( $is_enabled, $post_type ){
    if ($post_type === 'page') return false; // change book to your post type
    
    return $is_enabled;
}, 10, 2);
